Package org.kapott.hbci.sepa.jaxb.pain_001_001_02

# Class GroupHeader20

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_001_02.GroupHeader20

public class GroupHeader20 extends Object

Java class for GroupHeader20 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GroupHeader20">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MsgId" type="{urn:sepade:xsd:pain.001.001.02}Max35Text"/>
             <element name="CreDtTm" type="{urn:sepade:xsd:pain.001.001.02}ISODateTime"/>
             <element name="NbOfTxs" type="{urn:sepade:xsd:pain.001.001.02}Max15NumericText"/>
             <element name="CtrlSum" type="{urn:sepade:xsd:pain.001.001.02}DecimalNumber" minOccurs="0"/>
             <element name="Grpg" type="{urn:sepade:xsd:pain.001.001.02}Grouping2Code"/>
             <element name="InitgPty" type="{urn:sepade:xsd:pain.001.001.02}PartyIdentification20"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected XMLGregorianCalendar`
`creDtTm`
`protected BigDecimal`
`ctrlSum`
`protected Grouping2Code`
`grpg`
`protected PartyIdentification20`
`initgPty`
`protected String`
`msgId`
`protected String`
`nbOfTxs`

## Constructor Summary

Constructors
Constructor
Description
`GroupHeader20()`

## Method Summary

Modifier and Type
Method
Description
`XMLGregorianCalendar`
`getCreDtTm()`
Gets the value of the creDtTm property.
`BigDecimal`
`getCtrlSum()`
Gets the value of the ctrlSum property.
`Grouping2Code`
`getGrpg()`
Gets the value of the grpg property.
`PartyIdentification20`
`getInitgPty()`
Gets the value of the initgPty property.
`String`
`getMsgId()`
Gets the value of the msgId property.
`String`
`getNbOfTxs()`
Gets the value of the nbOfTxs property.
`void`
`setCreDtTm(XMLGregorianCalendar value)`
Sets the value of the creDtTm property.
`void`
`setCtrlSum(BigDecimal value)`
Sets the value of the ctrlSum property.
`void`
`setGrpg(Grouping2Code value)`
Sets the value of the grpg property.
`void`
`setInitgPty(PartyIdentification20 value)`
Sets the value of the initgPty property.
`void`
`setMsgId(String value)`
Sets the value of the msgId property.
`void`
`setNbOfTxs(String value)`
Sets the value of the nbOfTxs property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### msgId

protected String msgId

### creDtTm

protected XMLGregorianCalendar creDtTm

### nbOfTxs

protected String nbOfTxs

### ctrlSum

protected BigDecimal ctrlSum

### grpg

protected Grouping2Code grpg

### initgPty

protected PartyIdentification20 initgPty

## Constructor Details

### GroupHeader20

public GroupHeader20()

## Method Details

### getMsgId

public String getMsgId()
Gets the value of the msgId property.

Returns:
  possible object is `String`

### setMsgId

public void setMsgId(String value)
Sets the value of the msgId property.

Parameters:
  `value` - allowed object is `String`

### getCreDtTm

public XMLGregorianCalendar getCreDtTm()
Gets the value of the creDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

### setCreDtTm

public void setCreDtTm(XMLGregorianCalendar value)
Sets the value of the creDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getNbOfTxs

public String getNbOfTxs()
Gets the value of the nbOfTxs property.

Returns:
  possible object is `String`

### setNbOfTxs

public void setNbOfTxs(String value)
Sets the value of the nbOfTxs property.

Parameters:
  `value` - allowed object is `String`

### getCtrlSum

public BigDecimal getCtrlSum()
Gets the value of the ctrlSum property.

Returns:
  possible object is `BigDecimal`

### setCtrlSum

public void setCtrlSum(BigDecimal value)
Sets the value of the ctrlSum property.

Parameters:
  `value` - allowed object is `BigDecimal`

### getGrpg

public Grouping2Code getGrpg()
Gets the value of the grpg property.

Returns:
  possible object is `Grouping2Code`

### setGrpg

public void setGrpg(Grouping2Code value)
Sets the value of the grpg property.

Parameters:
  `value` - allowed object is `Grouping2Code`

### getInitgPty

public PartyIdentification20 getInitgPty()
Gets the value of the initgPty property.

Returns:
  possible object is `PartyIdentification20`

### setInitgPty

public void setInitgPty(PartyIdentification20 value)
Sets the value of the initgPty property.

Parameters:
  `value` - allowed object is `PartyIdentification20`